<?
namespace admin\view;

class LanguageManager
{
	public function show()
	{
		global $sys , $lang;

		$out = \admin\view\PagePanel::show( false , false , false , $lang -> getTrans( 'T_JEZYKI' ) );

		$dbrowse = new \DataBrowse( 'pcms_lang' );
		$dbrowse -> addPosition( 'id' 		, $lang -> getTrans( 'T_ID' ) 		, '' , '' , 'text-align:center;' , true );
		$dbrowse -> addPosition( 'name'		, $lang -> getTrans( 'T_NAZWA' ) 	, '' , '' , 'text-align:center;' , true );
		$dbrowse -> addPosition( 'enabled'	, $lang -> getTrans( 'T_AKTYWNY' )	, '' , $sys -> getComboYesNo() , 'text-align:center;' );
		$dbrowse -> addPositionSimple( $lang -> getTrans( 'T_EDYTUJ' ) , '' , 'index.php?rw=edit' );
		$dbrowse -> setParam( 'id' );
		$dbrowse -> addSort( 'id ASC' );
		$dbrowse -> addLp();
		$out .= $dbrowse -> draw();

		return $out;
	}

	/* --------- */

	public function edit( $id )
	{
		global $sys , $lang;

		$out = \admin\view\PagePanel::show( false , true , true , $lang -> getTrans( 'T_JEZYKI' ) );

		$dbedit = new \DataEdit( 'pcms_lang' , 'id' , $id );
		$dbedit -> addPosition( 'name' 		, $lang -> getTrans( 'T_NAZWA' )    , 'label' );
		$dbedit -> addPosition( 'enabled'	, $lang -> getTrans( 'T_AKTYWNY' )	, 'radio' , '' , $sys -> getComboYesNo() );
		$out .= $dbedit -> draw();

		return $out;
	}
}
?>